Bug 1018720 (CVE-2013-5797) - CVE-2013-5797 OpenJDK: insufficient escaping of window title string (Javadoc, 8016675)
Summary: CVE-2013-5797 OpenJDK: insufficient escaping of window title string (Javadoc,...
Status: CLOSED ERRATA
Alias: CVE-2013-5797
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20131015,reported=2...
Keywords: Security
Depends On:
Blocks: 1017632
TreeView+ depends on / blocked
 
Reported: 2013-10-14 09:33 UTC by Tomas Hoger
Modified: 2019-01-16 10:25 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-12-08 22:18:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1440 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:11:19 UTC
Red Hat Product Errata RHSA-2013:1447 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-10-21 21:42:45 UTC
Red Hat Product Errata RHSA-2013:1451 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-10-22 21:17:48 UTC
Red Hat Product Errata RHSA-2013:1505 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-11-05 23:03:16 UTC
Red Hat Product Errata RHSA-2013:1507 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-07 21:55:25 UTC
Red Hat Product Errata RHSA-2013:1508 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-07 21:54:46 UTC
Red Hat Product Errata RHSA-2013:1509 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2013-11-07 21:54:34 UTC
Red Hat Product Errata RHSA-2013:1793 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-12-05 22:38:10 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC

Description Tomas Hoger 2013-10-14 09:33:05 UTC
A flaw was found in the way javadoc (Java API Documentation Generator) created a JavaScript code used to set browser window title when navigating between pages of the generated API documentation.  An input from user was not properly escaped before being used as part of the JavaScript string.  A specially crafted input could "break out" of the JS string and execute arbitrary JavaScript in the context of the domain that hosts generated API documentation, allowing a Cross-Site Scripting attacks.

Comment 1 Tomas Hoger 2013-10-14 09:49:00 UTC
Upstream reports that this issue is relevant to uses where javadoc is used to generated documentation for an untrusted source code and have it hosted on a domain not controlled by the author of the source code (the attacker).

However, the exact use case upstream tried to address is not clear.  Javadoc documentation found in the java sources is handled as HTML and is embedded into generated HTML pages without escaping of HTML special characters (such as < and >).  Hence JavaScript code used to set browser window title is not the only way untrusted source code can trigger XSS.

Additionally, upstream fix only escapes quotes and fails to escape </script>.

Comment 3 Stefan Cornelius 2013-10-16 06:56:04 UTC
External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2013-1899837.html

Comment 4 Tomas Hoger 2013-10-16 08:08:40 UTC
Fixed in Oracle Java SE 7u45 and 6u65.

OpenJDK upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/langtools/rev/de93f4bc2c76

Comment 5 errata-xmlrpc 2013-10-17 17:39:53 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1440 https://rhn.redhat.com/errata/RHSA-2013-1440.html

Comment 6 errata-xmlrpc 2013-10-21 17:44:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1447 https://rhn.redhat.com/errata/RHSA-2013-1447.html

Comment 7 errata-xmlrpc 2013-10-22 17:20:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1451 https://rhn.redhat.com/errata/RHSA-2013-1451.html

Comment 9 errata-xmlrpc 2013-11-05 18:05:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1505 https://rhn.redhat.com/errata/RHSA-2013-1505.html

Comment 10 errata-xmlrpc 2013-11-07 16:57:33 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1509 https://rhn.redhat.com/errata/RHSA-2013-1509.html

Comment 11 errata-xmlrpc 2013-11-07 17:02:19 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1508 https://rhn.redhat.com/errata/RHSA-2013-1508.html

Comment 12 errata-xmlrpc 2013-11-07 17:08:58 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1507 https://rhn.redhat.com/errata/RHSA-2013-1507.html

Comment 13 errata-xmlrpc 2013-12-05 17:41:18 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2013:1793 https://rhn.redhat.com/errata/RHSA-2013-1793.html

Comment 15 errata-xmlrpc 2014-04-17 11:36:32 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html


Note You need to log in before you can comment on or make changes to this bug.